Subject: RE: Throughput Questions

From: "John Dawson" <[email-masked]>
Date: Thu, 6 Jul 2000 13:52:28 -0700

The rfc says that throughput measurements are made based upon offered load 
(what is transmitted), not received load.  Use the maximum forwarding
rate tests to measure the maximum rate that the receiver is seeing.

If you set your test duration too short, then a difference between offered
load
and the device capacity can be buffered in the network.  If you use a longer
test 
duration than it is less likely that the network will be able to continue
buffering
the difference between the offered load and the network's true capacity
without
loss.

Your measurement accuracy will be affected by the test duration you use.
Most discussions have indicated that the test duration should be at least 
30 seconds.  However, even at this duration it is possible for the results
to
indicate a channel capacity higher than supported.  The error you are
seeing, 
in bitsPerSecond, will be the size of the buffers on the interconnecting
device
(in bits) divided by the test duration (in seconds).

John

> -----Original Message-----
> From:	Talbert, Brian [SMTP:[email-masked]]
> Sent:	Thursday, July 06, 2000 11:57 AM
> To:	[email-masked]
> Subject:	Throughput Questions
> 
> I have a question regarding the measurement of throughput.   I am using an
> Ixia chassis to perform RFC 2544 throughput testing.    The test setup
> involves two routers with a WAN connection, similar to the following:
> 
> Ixia sending port ---------> RouterA ----- T1 circuit ----RotuerB
> --------->
> Ixia receive port
> 
> It appears that the sending port begins offering frames at the given rate
> and size and also begins a duration counter.   It sends frames until the
> duration counter reaches zero.   The receive port collects all marked
> frames
> and counts them.    The problem I appear to be having with this is that
> because of buffering at just about every interface, the receive port may
> count frames longer than the duration timer.   The results look like rates
> that exceed T1 line speed (I've gotten bps rates over 1.7 mbps).   I would
> think the timer should be on the receive port, should it not?    
> 
> Does anyone have any specifc input that my help shed some more light on
> this? 
> 
> Thanks,
> 
> ______________________________________
> Brian Talbert, Network Consulting Engineer
> UUNET an MCI WorldCom Company
> * email:  [email-masked]
> * phone:  703-886-5812
>

---

From: "Conrad C. Nobili" <[email-masked]>
Date: Thu, 6 Jul 2000 17:30:27 -0400 (EDT)

Without thinking about it too carefully, my instinct is that at the end
of your last sentence you mean not the test duration, but rather the
difference between the receive duration and the transmit duration.

I'm sure I will be swiftly and precisely punished if I'm wrong.  ;-)

--cn

Conrad C. Nobili  [email-masked]  Harvard University NDTL/NOC

On Thu, 6 Jul 2000, John Dawson wrote:

> If you set your test duration too short, then a difference between offered load
> and the device capacity can be buffered in the network.  If you use a longer test 
> duration than it is less likely that the network will be able to continue buffering
> the difference between the offered load and the network's true capacity without
> loss.
> 
> 30 seconds.  However, even at this duration it is possible for the results to
> indicate a channel capacity higher than supported.  The error you are seeing, 
> in bitsPerSecond, will be the size of the buffers on the interconnecting device